**To disassociate a Resolver rule from an Amazon VPC**

The following ``disassociate-resolver-rule`` example removes the association between the specified Resolver rule and the specified VPC. You can disassociate a rule from a VPC in the following circumstances:

- For DNS queries that originate in this VPC, you want Resolver to stop forwarding queries to your network for the domain name that is specified in the rule.
- You want to delete the forwarding rule. If a rule is currently associated with one or more VPCs, you must disassociate the rule from all VPCs before you can delete it. ::

    aws route53resolver disassociate-resolver-rule \
        --resolver-rule-id rslvr-rr-4955cb98ceexample \
        --vpc-id vpc-304bexam 

Output::

    {
        "ResolverRuleAssociation": {
            "Id": "rslvr-rrassoc-322f4e8b9cexample",
            "ResolverRuleId": "rslvr-rr-4955cb98ceexample",
            "Name": "my-resolver-rule-association",
            "VPCId": "vpc-304bexam",
            "Status": "DELETING",
            "StatusMessage": "[Trace id: 1-5dc5ffa2-a26c38004c1f94006example] Deleting Association"
        }
    }
